/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * For demonstration purpose only.
 * MicroEJ Corp. PROPRIETARY. Use is subject to license terms.
 */
package com.microej.example.bluetooth.hello;

import ej.bluetooth.BluetoothUuid;
import ej.bluetooth.util.server.BasicBluetoothServerService;

/**
 * A service with only an {@link HelloWorldCharacteristic}.
 */
public class HelloWorldService extends BasicBluetoothServerService {
	private static final BluetoothUuid UUID = new BluetoothUuid("cda6b040-d30f-4d9a-886a-5b87f245ad7c"); //$NON-NLS-1$
	private final HelloWorldCharacteristic helloWorldCharacteristic;

	/**
	 * Instantiates an {@link HelloWorldService}.
	 */
	public HelloWorldService() {
		super(UUID, Type.PRIMARY);
		this.helloWorldCharacteristic = new HelloWorldCharacteristic();
		addCharacteristic(this.helloWorldCharacteristic);
	}

	/**
	 * Gets the {@link HelloWorldCharacteristic}.
	 *
	 * @return the {@link HelloWorldCharacteristic}.
	 */
	public HelloWorldCharacteristic getHelloWorldCharacteristic() {
		return this.helloWorldCharacteristic;
	}
}
